Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.builders
Class ResponseBuilderFactory

    java.lang.Object
      be.ehealth.business.mycarenetcommons.builders.ResponseBuilderFactory

    public final class ResponseBuilderFactory

extends Object

Factory for all Builders necessary to create a RequestObject. fully configurable with properties. use ResponseBuilderFactory.getResponseBuilder if key "mycarenet.mcn.responseobjectbuilder.class" exist in properties file this method return an instance of the class return in the value otherwise, this method return an instance of "be.ehealth.business.mycarenetcommons.builders.impl.ResponseBuilderImpl"

Method Summary
`static ResponseBuilder` | `getResponseBuilder()` Deprecated.
`static ResponseBuilder` | `getResponseBuilder(String projectName)` Retrieve an instance of `CommonBuilder` implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getResponseBuilder

    @Deprecated
    public static ResponseBuilder getResponseBuilder()
                                              throws TechnicalConnectorException

  Deprecated.

  Retrieve an instance of `CommonBuilder` implementation. If mycarenet.{projectName}.usedefaultproperties is true, then the default project Name will be used to instanciate CommonBuilder

  Returns:
  Throws:
    `TechnicalConnectorException`

### getResponseBuilder

    public static ResponseBuilder getResponseBuilder(String projectName)
                                              throws TechnicalConnectorException

  Retrieve an instance of `CommonBuilder` implementation. If mycarenet.{projectName}.usedefaultproperties is true, then the default project Name will be used to instanciate CommonBuilder

  Parameters:
    `projectName` - the name of your project
  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.